package com.pj.ht_declare_chargeback;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: ht_declare_chargeback -- 进出口申报单退单(010)
 * @author lbl
 */
@RestController
@RequestMapping("/HtDeclareChargeback/")
public class HtDeclareChargebackController {

	/** 底层 Service 对象 */
	@Autowired
	HtDeclareChargebackService htDeclareChargebackService;

	/** 增 */
	@RequestMapping("add")
	@SaCheckPermission(HtDeclareChargeback.PERMISSION_CODE_ADD)
	public AjaxJson add(HtDeclareChargeback h){
		htDeclareChargebackService.add(h);
		h = htDeclareChargebackService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(h);
	}

	/** 删 */
	@RequestMapping("delete")
	@SaCheckPermission(HtDeclareChargeback.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 htDeclareChargebackService.delete(id);
		return AjaxJson.getSuccess();
	}

	/** 删 - 根据id列表 */
	@RequestMapping("deleteByIds")
	@SaCheckPermission(HtDeclareChargeback.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
		int line = SP.publicMapper.deleteByIds(HtDeclareChargeback.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}

	/** 改 */
	@RequestMapping("update")
	@SaCheckPermission(HtDeclareChargeback.PERMISSION_CODE_EDIT)
	public AjaxJson update(HtDeclareChargeback h){
		htDeclareChargebackService.update(h);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */
	@RequestMapping("getById")
		@SaCheckPermission(HtDeclareChargeback.PERMISSION_CODE)
	public AjaxJson getById(Integer id){
		HtDeclareChargeback h = htDeclareChargebackService.getById(id);
		return AjaxJson.getSuccessData(h);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
		@SaCheckPermission(HtDeclareChargeback.PERMISSION_CODE)
	public AjaxJson getList() {
		SoMap so = SoMap.getRequestSoMap();
		List<HtDeclareChargeback> list = htDeclareChargebackService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}









}
